Issues

ZF-4419: Zend_Db_*_Firebird promised as feature of 1.5, but still isn't in 1.6.1 release

Description

It is stopper for me - I must change Zend folder (add units from snapshot) to work with Firebird in every new release. I am working with it in bigger project and everything in snapshots releases work fine (one small mistake with showing of errors form db like PRIMARY KEY VIOLATION etc. I have written as small Bug issue). There is no reason to block these units in next releases - moreover it has been promised for 1.5 stable release - so I have started to use before the release, thinking I will go for oficial version on March...

Comments

Please see ZendX_Db_Adapter_Firebird in the extras library shipped with 1.7.0. Sorry for the delay. :(

Hi Wil, I'd like to ask few questions:

There's no ZendX_Db_Adapter_Firebird in 1.7.0. It's in 1.7.1. Shouln't this be added in minor release instead of mini releas?

There's no documentation for this adapter nor in Reference Guide neither in API Guide. Just a shor paragraph (13.1.10.10) in Reference Guide, but not even mentioning that the adapter is in extras. How can be such an undocumented adapter contained in release?

Why isn't this adapter mentioned in changelog?!